summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRenato Botelho <renato@netgate.com>2017-08-22 13:35:11 -0300
committerRenato Botelho <renato@netgate.com>2017-08-22 13:37:25 -0300
commitb687d5fa208979a1181ee7babf4bf5f144fa1fb0 (patch)
treed65683ace38467e27c64358bc3bb6e262203b8ae
parentba7bc25c49f7f0478d1902a6b85ee4c1366d7d3f (diff)
downloadpfsense-b687d5fa208979a1181ee7babf4bf5f144fa1fb0.zip
pfsense-b687d5fa208979a1181ee7babf4bf5f144fa1fb0.tar.gz
Do not exit while running in loop mode
-rwxr-xr-xtools/build_snapshots.sh34
1 files changed, 20 insertions, 14 deletions
diff --git a/tools/build_snapshots.sh b/tools/build_snapshots.sh
index 70bf625..478289b 100755
--- a/tools/build_snapshots.sh
+++ b/tools/build_snapshots.sh
@@ -216,27 +216,33 @@ while [ /bin/true ]; do
"
if [ -n "${POUDRIERE_SNAPSHOTS}" ]; then
exec_and_update_status \
- ${BUILDER_ROOT}/build.sh --update-poudriere-ports \
- || exit $?
-
- exec_and_update_status \
- ${BUILDER_ROOT}/build.sh ${NO_UPLOAD} --update-pkg-repo \
- || exit $?
+ ${BUILDER_ROOT}/build.sh --update-poudriere-ports
+ rc=$?
+
+ if [ $rc -eq 0 ]; then
+ exec_and_update_status \
+ ${BUILDER_ROOT}/build.sh ${NO_UPLOAD} \
+ --update-pkg-repo
+ rc=$?
+ fi
else
exec_and_update_status \
- ${BUILDER_ROOT}/build.sh --clean-builder \
- || exit $?
-
- exec_and_update_status \
- ${BUILDER_ROOT}/build.sh ${NO_UPLOAD} --flash-size '2g 4g' \
- --snapshots ${NO_IMAGES} \
- || exit $?
+ ${BUILDER_ROOT}/build.sh --clean-builder
+ rc=$?
+
+ if [ $rc -eq 0 ]; then
+ exec_and_update_status \
+ ${BUILDER_ROOT}/build.sh ${NO_UPLOAD} --flash-size \
+ '2g 4g' --snapshots \
+ ${IMAGES}
+ rc=$?
+ fi
fi
IFS=${OIFS}
if [ -z "${LOOPED_SNAPSHOTS}" ]; then
# only one build required, exiting
- exit
+ exit ${rc}
fi
# Count some sheep or wait until a new commit turns up
OpenPOWER on IntegriCloud